import type { GoogleAnalyticsApi } from 'third-party-capital';
import type { RegistryScriptInput } from '#nuxt-scripts';
export declare const GoogleAnalyticsOptions: import("valibot").ObjectSchema<{
    readonly id: import("valibot").StringSchema<undefined>;
}, undefined>;
declare global {
    interface Window extends GoogleAnalyticsApi {
    }
}
export type GoogleAnalyticsInput = RegistryScriptInput<typeof GoogleAnalyticsOptions>;
export declare function useScriptGoogleAnalytics<T extends GoogleAnalyticsApi>(_options?: GoogleAnalyticsInput): T & {
    $script: Promise<T> & import("@unhead/vue").VueScriptInstance<T>;
};
